import proxy from "../proxy";

const config = {
  getBottomNavigation:
    (data = {}) =>
    async (dispatch) =>
      await proxy.get("config/bottomNavigationList", data, { dispatch }),
  getFilters:
    (data = {}) =>
    async (dispatch) =>
      await proxy.get("config/filters", data, { dispatch }),
  getAvailableForSell:
    (data = {}) =>
    async (dispatch) =>
      await proxy.get("config/availableForSell", data, { dispatch }),
};

export default config;
