const initialState = {
  loading: false,
  error: null,
};

export default function file(state = initialState, action) {
  let { type, data, params } = action;
  switch (type) {
    case "file/upload":
      return {
        ...state,
        loading: false,
        error: null,
      };
    case "file/upload2":
      return {
        ...state,
        loading: false,
        error: null,
      };
    case "file/loading":
      return { ...state, loading: true };
    case "file/error":
      console.log(data.message);
      return { ...state, loading: false, error: data.message };
    default:
      return state;
  }
}
