import proxy from "../proxy";
const file = {
  upload:
    (data = {}) =>
    async (dispatch) => {
      var formData = new FormData();
      const myData = { ...data, file: { ...data.file, type: "image/jpg" } };
      formData.append("file", myData.file);
      formData.append("target", "file");
      console.log(formData);
      return await proxy.post(
        "file/upload",
        formData,
        {
          dispatch,
          headers: {
            "Content-Type": "multipart/form-data",
          },
        },
        formData
      );
    },
  upload2:
    (data = {}) =>
    async (dispatch) => {
      var formData = new FormData();
      const myData = { ...data, file: { ...data.file, type: "image/jpg" } };
      for (let key in myData) formData.append(key, myData[key]);
      console.log(formData);
      // return await proxy.post(
      //   "file/upload2",
      //   formData,
      //   {
      //     dispatch,
      //     headers: {
      //       "Content-Type": "multipart/form-data",
      //     },
      //   },
      //   formData
      // );
    },
};

export default file;
